#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int b[1000001];
int main()
{
	ios::sync_with_stdio(0);cin.tie(0);
	//cout << setprecision(6) << fixed;
	int t;
	cin >> t;
	while(t--)
	{
		ll ans(0);
		int n , q;
		cin >> n >> q;
		int a[n+1];
		for (int i=1;i<=n;i++)
		{
			cin >> a[i];
		}
		int p_s[n+1];
		p_s[1]=a[1];
		p_s[0]=0;
		for (int i=2;i<=n;i++)
		{
			p_s[i]=p_s[i-1]+a[i];
		}
		for (int i=1;i<=n;i++)
		{
			for (int j=i;j<=n;j++)
			{
				double sum=p_s[j]-p_s[i-1];
				double hm=j-i+1;
				if ((sum/hm)*100 >= q)
				{
					ans++;	
				}
			}
		}
		cout <<ans << " ";
	}
}
